import { Context } from 'koa';
export declare const PROXY_BASE_PATH = "/graphql";
export declare const GRAPHQL_PATH_PREFIX = "/admin/api";
export declare enum ApiVersion {
    April19 = "2019-04",
    July19 = "2019-07",
    October19 = "2019-10",
    Unstable = "unstable",
    Unversioned = "unversioned"
}
interface DefaultProxyOptions {
    version: ApiVersion;
}
interface PrivateShopOption extends DefaultProxyOptions {
    password: string;
    shop: string;
}
declare type ProxyOptions = PrivateShopOption | DefaultProxyOptions;
export default function shopifyGraphQLProxy(proxyOptions: ProxyOptions): (ctx: Context, next: () => Promise<any>) => Promise<void>;
export {};
